Package org.apache.commons.math3.exception

# Class NotFiniteNumberException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.MathIllegalNumberException
org.apache.commons.math3.exception.NotFiniteNumberException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NotFiniteNumberException extends MathIllegalNumberException
Exception to be thrown when a number is not finite.

Since:
  3.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`INTEGER_ZERO`

## Constructor Summary

Constructors
Constructor
Description
`NotFiniteNumberException(Number wrong, Object... args)`
Construct the exception.
`NotFiniteNumberException(Localizable specific, Number wrong, Object... args)`
Construct the exception with a specific context.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotFiniteNumberException

public NotFiniteNumberException(Number wrong, Object... args)
Construct the exception.

Parameters:
  `wrong` - Value that is infinite or NaN.
  `args` - Optional arguments.

### NotFiniteNumberException

public NotFiniteNumberException(Localizable specific, Number wrong, Object... args)
Construct the exception with a specific context.

Parameters:
  `specific` - Specific context pattern.
  `wrong` - Value that is infinite or NaN.
  `args` - Optional arguments.